VERITEFB(4)

NAME
veritefb - Rendition Verite V2100/V2200 framebuffer driver

SYNOPSIS
veritefb* at pci?
wsdisplay* at veritefb?

DESCRIPTION
The veritefb driver provides support for Rendition Verite V2100/V2200-based PCI and AGP cards. These are 2D/3D video cards based on a MIPS-like RISC ASIC with a fixed-function pixel engine.

veritefb provides an unaccelerated 2D console until the root file system is mounted and the firmware file v20002d.uc becomes available. After this, 2D acceleration is enabled via the rasops(9) framework.

During initialization, veritefb attempts to detect the characteristics of the display using DDC/EDID information. If this fails, it falls back to a preset VGA (640x480) video mode at 60Hz.

SEE ALSO
genfb(4), pci(4), wsdisplay(4) Rendition, Inc., V2200 Integrated 3D/2D/Video Accelerator Technical Specifications, January 1998.

HISTORY
The veritefb driver first appeared in NetBSD 12.0.

AUTHORS
-nosplit The veritefb driver was written by Radoslaw Kujawa.

CAVEATS
The microcode required to use these cards with 2D acceleration has unclear distribution terms and must be obtained separately.

BUGS
V1000-based cards are not supported.

Currently, the driver is limited to 8-bit color depth.